IntraModeSearchState Struct Reference
Encoder Algorithm » Intra Mode Search

Variables related to intra-mode search during inter frame coding. More...

`#include <intra_mode_search.h>`

## Data Fields

PREDICTION_MODE | best_intra_mode
| The best luma intra-mode found so far.
Speed feature variables
Variables to help with pruning some luma intra-modes during inter frame coding process.
int | skip_intra_modes
| Whether to terminate all intra mode search.
uint8_t | directional_mode_skip_mask [INTRA_MODES]
| Whether a directional mode is pruned.
int | dir_mode_skip_mask_ready
| Whether directional_mode_skip_mask is valid for pruning.
Chroma mode search cache
A cache of the best chroma prediction mode to avoid having to search for chroma predictions repeatedly in av1_search_intra_uv_modes_in_interframe()
int | rate_uv_intra
| Total rate to transmit uv_mode.
int | rate_uv_tokenonly
| Rate transmit txfm tokens.
int64_t | dist_uvs
| Distortion of the uv_mode's recon.
uint8_t | skip_uvs
| Whether the uv txfm is skippable.
UV_PREDICTION_MODE | mode_uv
| The best uv mode.
PALETTE_MODE_INFO | pmi_uv
| Color map if mode_uv is palette.
int8_t | uv_angle_delta
| Angle delta if mode_uv directional.

## Detailed Description

Variables related to intra-mode search during inter frame coding.

This is a set of variables used during intra-mode search for inter frames. This includes an histogram of gradient speed features and a cache of uv prediction to avoid repeated search of chroma prediction.

The documentation for this struct was generated from the following file:

- av1/encoder/intra_mode_search.h